---
kind: pipeline
type: docker
name: default

trigger:
  event:
    - tag

platform:
  os: linux
  arch: arm64

volumes:
  - name: cache
    temp: {}

environment:
  DEBIAN_FRONTEND: noninteractive

steps:
  - name: build
    image: golang:1.15
    pull: always
    volumes:
      - name: cache
        path: /drone/src/out
    commands:
      - cd /drone/src
      - go build -o out/wifi cmd/wifi/wifi.go
      - go build -o out/inotify cmd/inotify/inotify.go
      - go build -o out/ui cmd/ui/ui.go
      - cp CHANGELOG.md out/
  - name: gitea-release
    image: plugins/gitea-release
    volumes:
      - name: cache
        path: /opt/artifacts
    settings:
      api_key:
        from_secret: gitea_token
      base_url: https://git.kemonine.info
      title: ${DRONE_TAG}
      note: Please see the CHANGELOG.md file for details
      files:
        - /opt/artifacts/*
      checksum:
        - md5
        - sha1
        - sha256
        - sha512
